import 'dart:convert';
import 'package:flutter_conscent_plugin/Model/embeddedSubscribtion.dart';
import 'package:http/http.dart' as http;
import 'package:shared_preferences/shared_preferences.dart';
import '../ConscentInitializer.dart';
import '../Model/APIMode.dart';

class ApiService {
  getUsers() async {
    var url = Uri.parse(
        '${APIMode.BASE_URL}api/v1/subscription/embedded-subscription?clientId=${ConscentInitializer.mClientId}');
    var response = await http.get(url);
    if (response.statusCode == 200) {
      var json = response.body;
      return embeddedSubscribtionFromJson(json);
    }
  }

  Future<String> checkLoginChallenge(String loginId) async {
    var uri = Uri.parse('${APIMode.BASE_URL}/api/v1/login-challenge/$loginId');
    print(uri);
    String sessionId = "";
    var response = await http.get(uri);
    if (response.statusCode == 200) {
      var dataMain = jsonDecode(response.body);
      final prefs = await SharedPreferences.getInstance();
      print('dev sessionnnnnnnnnnnnn id');
      print(prefs.getString('sessionId'));
      sessionId = dataMain['sessionId'].toString();
      prefs.setString('sessionId', sessionId);

      return sessionId;
    }

    return sessionId;
  }
}
