import 'dart:async';
import 'dart:convert';
import 'package:flutter_conscent_plugin/ConscentInitializer.dart';
import 'package:flutter_conscent_plugin/EmbeddedSubscribe.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
//import 'package:flutter_new/e';
import 'package:http/http.dart' as http;
import 'package:shared_preferences/shared_preferences.dart';
import 'package:webview_flutter/webview_flutter.dart';

import 'Model/APIMode.dart';

//import 'package:pull_to_refresh/pull_to_refresh.dart';

void main() {
  runApp(
    MaterialApp(
      home: WebViewApps(isWoman: true),
    ),
  );
}

class WebViewApps extends StatefulWidget {
  String tiersId;
  bool isWoman;

  WebViewApps({this.tiersId = '', required this.isWoman, super.key});

  @override
  State<WebViewApps> createState() => _WebViewAppStates();
}

class _WebViewAppStates extends State<WebViewApps> {
  String? loginId;
  String ar = "availFreeTrial=true%20";
  late String fn;

  late WebViewController _webViewController;

  final GlobalKey<RefreshIndicatorState> _refreshIndicatorKey =
      GlobalKey<RefreshIndicatorState>();

  final webViewKey = GlobalKey<_WebViewAppStates>();

  //var refreshKey = GlobalKey<RefreshIndicatorState>();

  // Add from here ...
  @override
  void initState() {
    _refreshIndicatorKey.currentState?.show();
    icon:
    const Icon(Icons.refresh);
    if (mounted) {
      getLoginChallengeId();
      print(widget.tiersId);
      print("tiersId");
    }
    print('---initState---${widget.tiersId}');

    if (widget.isWoman) {
      fn = ar;
    } else {
      fn = "";
    }

    super.initState();
  }

  //get loginChallengeId
  dynamic dataMain;

  getLoginChallengeId() async {
    final prefs = await SharedPreferences.getInstance();
    loginId = prefs.getString('loginID');
    print(loginId.toString());
    getSessionID(loginId.toString());
    setState(() {});
  }

  // getSessionID(String loginId) async {
  //   var uri =
  //       Uri.parse('https://stage.tsbdev.co/api/v1/login-challenge/$loginId');
  //   print(uri);
  //   var response = await http.get(uri);
  //   if (response.statusCode == 200) {
  //     dataMain = jsonDecode(response.body);
  //     final prefs = await SharedPreferences.getInstance();
  //     await prefs.setString('sessionId', sessionId);
  //     print('dev sessionnnnnnnnnnnnn id');
  //     print(prefs.getString('sessionId'));
  //     print("newww data222");
  //     var session =
  //     prefs.setString('sessionId', dataMain['sessionId']);
  //     print("dataMain");
  //     print(session);
  //     print("session newww");
  //     print(dataMain);
  //     print("dataMain");
  //     // Navigator.pop(context,{
  //     //   "sessionId":dataMain['sessionId']
  //     // });
  //   }
  // }

  Future<String> getSessionID(String loginId) async {
    print('getSessionId------');
    var uri = Uri.parse('${APIMode.BASE_URL}api/v1/login-challenge/$loginId');
    print(uri);
    var response = await http.get(uri);
    if (response.statusCode == 200) {
      dataMain = jsonDecode(response.body);
      final prefs = await SharedPreferences.getInstance();
      print('dev sessionnnnnnnnnnnnn id');
      print(prefs.getString('sessionId'));
      String sessionId = dataMain['sessionId'].toString();
      prefs.setString('sessionId', sessionId);
      print("dataMain");
      print(dataMain);
      print("dataMain");
      return sessionId;
      // Navigator.pop(context,{
      //   "sessionId":dataMain['sessionId']
      // });
    }
    return '';
  }

  dynamic dataMains;
  Future<void> getPstss(String sessionId) async {
    final prefs = await SharedPreferences.getInstance();

    print('sessionId xyz------------------= $sessionId');

    sessionId = prefs.getString('sessionId') ?? "sessionId";
    print('--------print sessionnsss IDss-----------------');
    print(prefs.getString('sessionId'));
    String sessionIds = prefs.getString('sessionId').toString();

    final uri = Uri.parse(
        '${APIMode.BASE_URL}api/v1/subscription/access?sessionId=$sessionId&clientId=${ConscentInitializer.mClientId}');
    print(uri);
    print('session urllsssss --------------- ftttt');
    var response = await http.get(uri);

    print('---- status---${response.statusCode}');
    if (response.statusCode == 200) {
      dataMains = jsonDecode(response.body);
      print("dataMains -------------- dataaa");
      print(dataMains);
      print("dataMains-------- dat-------------");
      var responseString = response.body;
      //   Navigator.pop(context,{
      // //    "sessionId":dataMain['sessionId']
      //     "response":responseString
      //   });

      if (mounted) {
        Navigator.pop(context, {
          "response": responseString
          // "sessionId":dataMain['sessionId']
        });
      }
    }
  }

  // dynamic dataMains;
  // Future<void> getPstss() async {
  //   final prefs = await SharedPreferences.getInstance();
  //   sessionId = prefs.getString('sessionId') ?? "sessionId";
  //   print('--------double dataaaaa session------------------');
  //   print(prefs.getString('sessionId'));
  //   final sessionIds = prefs.getString('sessionId').toString();
  //
  //   //   var client = http.Client();
  //   //  var uri = Uri.parse(
  //   //    'https://stage.tsbdev.co/api/v1/subscription/access?clientContentId=Client-Story-Id-1&sessionId=$sessionIds&clientId=5f92a62013332e0f667794dc&title=&url=');
  //   // var response = await client.get(uri);
  //
  //
  //   var response = await http.get(
  //     Uri.parse('https://stage.tsbdev.co/api/v1/subscription/access?clientContentId=Client-Story-Id-1&sessionId=$sessionIds&clientId=5f92a62013332e0f667794dc&title=&url='),
  //     //   Uri.parse('https://stage.tsbdev.co/api/v1/subscription/access?sessionId=$sessionIds&clientId=5f92a62013332e0f667794dc'),
  //   );
  //   print('-------------------------------------------------------');
  //   print('${response.body}---- status---${response.statusCode}');
  //
  //   if (response.statusCode == 200) {
  //     dataMains = jsonDecode(response.body);
  //     var responseString = response.body;
  //     // Navigator.pop(context,{
  //     //   "response":responseString
  //     // });
  //
  //     if (mounted) {
  //       Navigator.pop(context, {
  //         "response": responseString
  //       });
  //     }

  // }
  // else {
  //   throw Exception('Failed to create album.');
  // }
  // }

  // @override
  // void dispose() {
  //   print("dispose()");
  // }

  // JavascriptChannel _javascriptChannel() {
  //   print('javascript');
  //   return JavascriptChannel(
  //       name: 'CHANGEPLAN',
  //       onMessageReceived: (JavascriptMessage message) async{
  //         print(message.message);
  //
  //         if(message.message == 'changeplan'){
  //           CircularProgressIndicator();
  //           Navigator.pop(context);
  //         }
  //       else{
  //           String sessionId = await getSessionID(loginId!);
  //           getPstss();
  //           Navigator.pop(context);
  //         }
  //
  //       });
  // }

  JavascriptChannel _javascriptChannel() {
    print('javascript');
    return JavascriptChannel(
        name: 'LOGINCHALLENGE',
        onMessageReceived: (JavascriptMessage message) async {
          print(message.message);
          if (message.message == 'loginSuccess') {
            CircularProgressIndicator();
            print('javascript----------');
            String sessionId = await getSessionID(loginId!);
            getPstss(sessionId);
          } else if (message.message == 'changeplan') {
            CircularProgressIndicator();
            Navigator.pop(context);
          }
        });
  }

  // JavascriptChannel _javascriptChannels() {
  //   print('javascript');
  //   return JavascriptChannel(
  //       name: 'CONTINUE',
  //       onMessageReceived: (JavascriptMessage message) async{
  //         print(message.message);
  //         if(message.message == 'continue'){
  //           CircularProgressIndicator();
  //           Navigator.pop(context);
  //         }
  //       });
  // }

  @override
  Widget build(BuildContext context) {
    javascriptChannels:
    <JavascriptChannel>{_javascriptChannel()};
    var flutterWebViewPlugin;
    print(loginId);
    print(sessionId);
    print('sessionn-----------------id----------');
    print(widget.tiersId);
    print("tierssssIdd");

    print('kunallllllll');

    return Scaffold(
      appBar: AppBar(
        title: const Text('Conscent'),
        actions: <Widget>[
          TextButton.icon(
            onPressed: () {
              getLoginChallengeId();
              body:
              WebView(
                initialUrl:
                    'https://conscent.netlify.app/subscription?tierId=${widget.tiersId}&clientId=${ConscentInitializer.mClientId}&$fn&siteUrl=https://conscentsss.com&clientContentId=Client-Story-Id-1&loginChallenge=$loginId',
                javascriptMode: JavascriptMode.unrestricted,
                onWebViewCreated: (controller) {
                  _webViewController = controller;
                  controller.reload();
                },
                onProgress: (int progress) {
                  print('WebView is loading (progress : $progress%)');
                },
                navigationDelegate: (NavigationRequest request) {
                  if (request.url.startsWith('https://www.youtube.com/')) {
                    print('blocking navigation to $request}');
                    return NavigationDecision.prevent;
                  }
                  print('allowing navigation to $request');
                  return NavigationDecision.navigate;
                },
                onPageStarted: (String url) {
                  print('Page started loading: $url');
                },
                onPageFinished: (String url) {
                  print('Page finished loading: $url');
                },
                gestureNavigationEnabled: true,
                backgroundColor: const Color(0x00000000),
              );
              webViewKey.currentState?.reloadWebView();
              // _webViewController?.reload();
              _refreshIndicatorKey.currentState?.show();
            },
            icon: const Icon(
              Icons.refresh,
              size: 24.0,
              color: Colors.white,
            ),
            label: const Text(''),
          ),
        ],
      ),

      body: RefreshIndicator(
        key: _refreshIndicatorKey,
        color: Colors.white,
        backgroundColor: Colors.blue,
        strokeWidth: 4.0,
        onRefresh: () async {
          return Future<void>.delayed(const Duration(seconds: 3));
        },
        child: loginId != null
            ? WebView(
                initialUrl:

                    //     'https://conscent.netlify.app/subscription?tierId=619b7f6cfbacc96bd8fb232a&clientId=5f92a62013332e0f667794dc&availFreeTrial=true%20&siteUrl=https://conscentsss.com&clientContentId=Client-Story-Id-1&loginChallenge=$loginId',
                    'https://conscent.netlify.app/subscription?tierId=${widget.tiersId}&clientId=${ConscentInitializer.mClientId}&$fn&siteUrl=https://conscentsss.com&clientContentId=${ConscentInitializer.mContentId}&loginChallenge=$loginId',
                // 'https://conscent.netlify.app/subscription?tierId=${widget.tiersId}&clientId=5f92a62013332e0f667794dc&siteUrl=https://conscentsss.com&clientContentId=Client-Story-Id-1&loginChallenge=$loginId',

                javascriptMode: JavascriptMode.unrestricted,

                onProgress: (int progress) {
                  javascriptChannels:
                  <JavascriptChannel>{_javascriptChannel()};
                  print('WebView is loading (progress : $progress%)');
                },

                navigationDelegate: (NavigationRequest request) {
                  print('allowing navigation to $request');

                  if (request.url.startsWith(
                      'https://csc-mock.netlify.app/${ConscentInitializer.mClientId}')) {
                    getSessionID(loginId!);
                    //   getPstss(sessionId);
                    return NavigationDecision.prevent;
                  } else if (request.url.startsWith(
                      'https://conscentsss.com/?csc-tierId=${widget.tiersId})')) {
                    print('change plan');
                    Navigator.pop(context);
                    // Navigator.push(
                    //   context,
                    //   MaterialPageRoute(
                    //     builder: (context) => Subscribe((value){}),
                    //   ),
                    // );
                  }

                  print('GET URLLLLLWWWW: $request.url');
                  if (request.url ==
                      'https://conscentsss.com/?csc-tierId=${widget.tiersId})') {
                    print('change planss');
                    Navigator.pop(context);
                  }

                  return NavigationDecision.navigate;
                },
                onPageStarted: (String url) {
                  print('Page started loading: $url');
                  print(url);
                  // debugPrint ('Try');

                  print('GET URLLLLL: $url');
                  if (url ==
                      'https://conscentsss.com/?csc-tierId=${widget.tiersId})') {
                    print('change planss');
                    debugPrint('Try');
                    print(url);
                    Navigator.pop(context);
                  }
                },

                onPageFinished: (String url) {
                  print('Page finished loading: $url');
                  print('urllllllllllllllllllll: $url');

                  print('GET URLLLLLSSS: $url');
                  if (url ==
                      'https://conscentsss.com/?csc-tierId=${widget.tiersId})') {
                    print('change planss');
                    debugPrint('Try');
                    print(url);
                    Navigator.pop(context);
                  }
                },
                //  javascriptChannels: <JavascriptChannel>{_javascriptChannel()},
                javascriptChannels: <JavascriptChannel>{_javascriptChannel()},
              )
            : Center(child: CircularProgressIndicator()),
      ),

      //     floatingActionButton: FloatingActionButton.extended(
      //     onPressed: () {
      //        getLoginChallengeId();
      //       // if (mounted) {
      //       //   getLoginChallengeId();
      //       //   print(widget.tiersId);
      //       //   print("tiersId");
      //       //
      //       // }
      //
      //       WebView
      //         (
      //         initialUrl:
      //
      //         //     'https://conscent.netlify.app/subscription?tierId=619b7f6cfbacc96bd8fb232a&clientId=5f92a62013332e0f667794dc&availFreeTrial=true%20&siteUrl=https://conscentsss.com&clientContentId=Client-Story-Id-1&loginChallenge=$loginId',
      //         'https://conscent.netlify.app/subscription?tierId=${widget.tiersId}&clientId=5f92a62013332e0f667794dc&$fn&siteUrl=https://conscentsss.com&clientContentId=Client-Story-Id-1&loginChallenge=$loginId',
      //         // 'https://conscent.netlify.app/subscription?tierId=${widget.tiersId}&clientId=5f92a62013332e0f667794dc&siteUrl=https://conscentsss.com&clientContentId=Client-Story-Id-1&loginChallenge=$loginId',
      //
      //         javascriptMode: JavascriptMode.unrestricted,
      //         onProgress: (int progress) {
      //           javascriptChannels: <JavascriptChannel>{_javascriptChannel()};
      //           print('WebView is loading (progress : $progress%)');
      //         },
      //
      //         navigationDelegate: (NavigationRequest request) {
      //           print('allowing navigation to $request');
      //
      //           if (request.url
      //               .startsWith('https://csc-mock.netlify.app/5f92a62013332e0f667794dc')) {
      //             getSessionID(loginId!);
      //             //   getPstss(sessionId);
      //
      //             return NavigationDecision.prevent;
      //           }
      //           else if (request.url.startsWith('https://conscentsss.com/?csc-tierId=${widget.tiersId})')){
      //             print('change plan');
      //             Navigator.pop(context);
      //
      //             // Navigator.push(
      //             //   context,
      //             //   MaterialPageRoute(
      //             //     builder: (context) => Subscribe((value){}),
      //             //   ),
      //             // );
      //
      //
      //           }
      //
      //
      //
      //           print('GET URLLLLLWWWW: $request.url');
      //           if (request.url == 'https://conscentsss.com/?csc-tierId=${widget.tiersId})'){
      //             print('change planss');
      //             Navigator.pop(context);
      //
      //           }
      //
      //
      //
      //           return NavigationDecision.navigate;
      //         },
      //         onPageStarted: (String url) {
      //           print('Page started loading: $url');
      //           print(url);
      //           // debugPrint ('Try');
      //
      //
      //           print('GET URLLLLL: $url');
      //           if (url == 'https://conscentsss.com/?csc-tierId=${widget.tiersId})')
      //           {
      //             print('change planss');
      //             debugPrint ('Try');
      //             print(url);
      //             Navigator.pop(context);
      //
      //           }
      //         },
      //
      //         onPageFinished: (String url) {
      //           print('Page finished loading: $url');
      //           print('urllllllllllllllllllll: $url');
      //
      //
      //           print('GET URLLLLLSSS: $url');
      //           if (url == 'https://conscentsss.com/?csc-tierId=${widget.tiersId})'){
      //             print('change planss');
      //             debugPrint ('Try');
      //             print(url);
      //             Navigator.pop(context);
      //           }
      //         },
      //         //  javascriptChannels: <JavascriptChannel>{_javascriptChannel()},
      //         javascriptChannels: <JavascriptChannel>{_javascriptChannel()},
      //
      //       );
      //   // Show refresh indicator programmatically on button tap.
      //   _refreshIndicatorKey.currentState?.show();
      // },
      // icon: const Icon(Icons.refresh),
      //  label: Text(''),
      // ),
    );
  }

  void reloadWebView() {
    _webViewController.reload();
  }
}
